<?php
/*
 * Plugin Hook: editor
 * Plugin Name: tinymce编辑器
 * Author: 系统自带插件
 * Version: 1.0
 * Plugin URI: about:blank
 * Description: tinymce编辑器，一个快速编辑器。
 */
if(!defined('IN_MICECMS')){header("HTTP/1.0 404 Not Found");die();}
function tinymce($isupload)
{
	$upload='';
	if($isupload==1){
		$upload='<a href="'.MICE_URL.'admin.php/index#5_47" target="_blank"><img src="'.MICE_URL.MICE_TPL.'/admin/imgs/medias.gif" border="0"></a>';
	}
	$dir=MICE_URL.'plugins/tinymce/';

	return $upload.'<script language="javascript" type="text/javascript" src="'.$dir.'tiny_mce.js"></script>
	<script language="javascript" type="text/javascript">
		tinyMCE.init({
			mode : "textareas",
			theme : "advanced",
			plugins : "table,advimage,advlink,preview,flash",
			file_browser_callback : "fileBrowserCallBack"
		});
	</script>
	<textarea id="MCEname" name="MCEname" rows="15" cols="80" style="width: 100%">MCEcontent</textarea>';
}
?>